> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tenant Default Preference

> API to get default tenant preference for all categories.



## OpenAPI

````yaml GET /v1/tenant/{tenant_id}/category/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/tenant/{tenant_id}/category/:
    get:
      summary: Get Tenant Default Preference
      description: API to get default tenant preference for all categories.
      operationId: get-tenant-default-preference
      parameters:
        - name: tenant_id
          in: path
          description: >-
            unique identifier of the tenant you want to get default preferences
            for
          schema:
            type: string
          required: true
        - name: locale
          in: query
          description: >
            Locale code (e.g., `es`, `fr`, `de`, `ja`, `es-AR`) to fetch
            preference translations in user's locale. When provided, the API
            looks for category and section names and descriptions in the
            respective locale file. 

            If a translation is missing for the requested locale, the system
            automatically falls back in this order: `locale-region` (e.g.,
            `es-AR`) → `locale` (e.g., `es`) → `en` (English - always
            available).
          schema:
            type: string
          example: es
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 12
                      limit: 10
                      offset: 0
                    results:
                      - name: Status Update Alert
                        category: status-update-alert
                        description: Send me updates when account status changes
                        root_category: transactional
                        default_preference: opt_in
                        default_mandatory_channels: null
                        default_opt_in_channels: null
                        visible_to_subscriber: true
                        preference: opt_in
                        mandatory_channels: null
                        opt_in_channels: null
                        blocked_channels: null
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        description: total number of categories
                        example: 12
                      limit:
                        type: integer
                        description: maximum number of categories returned per request
                        example: 10
                      offset:
                        type: integer
                        description: offset passed in request
                  results:
                    type: array
                    items:
                      type: object
                      properties: null
                  name:
                    type: string
                    description: preference category name
                  category:
                    type: string
                    description: >-
                      unique preference category slug. You can get it by
                      clicking on category name on SuprSend dashboard ->
                      preference page
                  description:
                    type: string
                    description: description of the notification category
                  root_category:
                    type: string
                    description: root category this sub-category belongs to
                    example: transactional
                  default_preference:
                    type: string
                    enum:
                      - cant_unsubscribe
                      - opt_in
                      - opt_out
                    description: >-
                      default preference of the category set while updating the
                      category.
                  default_mandatory_channels:
                    type: array
                    description: >-
                      default mandatory channels set while updating the category
                      in case default preference is can't unsubscribe
                    items:
                      type: string
                  default_opt_in_channels:
                    type: array
                    nullable: true
                    description: >-
                      default opt-in channels set to have selective opt-in
                      channels instead of all channels while updating the
                      category.
                    items:
                      type: string
                  opt_in_channels:
                    type: array
                    nullable: true
                    description: opt-in channels overridden for this tenant.
                    items:
                      type: string
                  visible_to_subscriber:
                    type: boolean
                    description: >-
                      set it `false` to hide a category from user's preference
                      page
                  preference:
                    type: string
                    enum:
                      - opt_in
                      - opt_out
                    description: preference setting overridden for this tenant.
                  blocked_channels:
                    type: array
                    description: >-
                      channels which are opted-out across all categories for
                      this tenant.
                    items:
                      type: string
                      enum:
                        - email
                        - sms
                        - whatsapp
                        - androidpush
                        - inbox
                        - iospush
                        - slack
                        - webpush
                        - ms_teams
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    message: tenant 'brand/tenant_id' not found
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: tenant 'brand/tenant_id' not found
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````

Built with [Mintlify](https://mintlify.com).